# Check inbound transfer eligibility Check whether a domain is eligible for inbound transfer to your account. Provide the authorization code to validate the transfer. Endpoint: POST /domains/{name}/dns/transfers/inbound-eligibility Version: 1.0.0 Security: bearer ## Path parameters: - `name` (string, required) ## Request fields (application/json): - `authorizationCode` (string, required) ## Response 201 fields (application/json): - `isEligible` (boolean, required) - `reasons` (array, required) Enum: "REGISTRAR_LOCKED", "NOT_REGISTERED", "TRANSFER_DATE_NOT_REACHED", "INVALID_AUTHORIZATION", "ALREADY_TRANSFERRED", "INVALID_TLD_FOR_TRANSFER", "REGISTRY_LOCKED", "REGISTRY_UPDATE_PROHIBITED", "UNVERIFIED_OWNER_FOR_DNS", "DOMAIN_EXPIRING_SOON" - `expirationDate` (string) - `projectedExpirationDate` (string) - `projectedExtensionPeriod` (number) ## Response 400 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 401 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 403 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 404 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 409 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 500 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string)